#ifndef _CONFIG_H
#define _CONFIG_H
struct Zip{
  char Intern;
  char Exe[1024];
  char CompLevel;
  char Store;
  char RecTop;
  char XtraAttr;
  char RecCur;
  char DirEntries;
  char AsLink;
  char LfCrLf;
  char CrLfLf;
  char Grow;
  char DirNames;
  char TestInt;
  char Pkzip;
  char MvFiles;
  char TempDir;
  char TempDirName[1024];
  char AddComment;
  char ZipComment[1024];
};
struct Gzip{    
  char Intern;
  char Exe[1024];
  char CompLevel;
  char Store;
  char WriteOverOut;
  char TestInt;
  char RecThru;
  char KeepInput;
  char AltSuf;
  char Suffix[256];
};
struct BZip{
  char Intern;
  char Exe[1024];
  char CompLevel;
  char Store;
  char ForceComp;
  char KeepInput;
  char WriteOverOut;
  char TestInt;
  char RedMem;
};
struct UxCompress{
  char Intern;
  char Exe[1024];
  char CompLevel;
  char RecThru;
  char WriteOverOut;
};
struct Tar{
  char Intern;
  char Exe[1024];
  char Verify;
  char FailRead;
  char ForceOwner;
  char Owner[256];
  char IgnoreZero;
  char ForceGroup;
  char Group[256];
  char AbsNames;
  char PosixArchive;
  char V7Archive;
  char NewFormat;
  char OldFormat;
  char DerefLinks;
  char RecThru;
  char Local;
};
struct Methods{
  struct Zip zip;
  struct Gzip gzip;
  struct BZip bzip;
  struct UxCompress ux;
  struct Tar tar;
  char toolTips;
};
struct Methods methods;
char* getHomeDir();
void readFile();
void writeFile();
#endif
